Bug 823228 - asimut core dumps when there is a save in the pattern file
asimut core dumps when there is a save in the pattern file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alliance (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 23:29 EDT by Ashwith Rego
Modified: 2014-02-05 17:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:45:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files used for simulation (890 bytes, application/x-tar)
2012-05-19 23:29 EDT, Ashwith Rego
no flags Details
Log file generated by abrt (9.94 KB, application/octet-stream)
2012-05-19 23:30 EDT, Ashwith Rego
no flags Details

  None (edit)
Description Ashwith Rego 2012-05-19 23:29:27 EDT
Created attachment 585616 [details]
Files used for simulation

Description of problem:

While using the structural description, the simulation core dumps if there is a save line in the patterns file. Behavioral descriptions have not showed such a problem.


Version of the Package: 

alliance-doc-5.0-32.20090901snap.fc15.x86_64


How reproducible: 

Occurs every time.


Steps to Reproduce:

1. Extract the contents of mux.tar (attached).
2. In the terminal. navigate to the directory whih contains the above files
3. Run the following command:
   asimut mux mux_in mux_out
  

Actual results: 

The file mux_out.pat is generated with the simulation results. However, mux_in.sav is blank. The simulation also core dumps. Here is the output:
###----- processing pattern 0 : 0 ps -----###
###----- processing pattern 1 : 0 ps -----###
###----- processing pattern 2 : 0 ps -----###
###----- processing pattern 3 : 0 ps -----###
###----- processing pattern 4 : 0 ps -----###
###----- processing pattern 5 : 0 ps -----###
###----- processing pattern 6 : 0 ps -----###
###----- processing pattern 7 : 0 ps -----###
###----- processing pattern 8 : 0 ps -----###
###----- processing pattern 9 : 0 ps -----###
###----- processing pattern 10 : 0 ps -----###
###----- processing pattern 11 : 0 ps -----###
###----- processing pattern 12 : 0 ps -----###
###----- processing pattern 13 : 0 ps -----###
###----- processing pattern 14 : 0 ps -----###
###----- processing pattern 15 : 0 ps -----###
Segmentation fault (core dumped)


Expected results:

A patterns file mux_out.pat should be generated with the output. 
Due to the save in the patterns file, an additional file called mux_in.sav must be generated which contains the state of the signals at the end of simulation.


Additional info:

I have also attached the file generated by abrt. I have selected version 16 in the bug report. I'm using Fedora 16 64-bit. However, th version of alliance that gets installed shows fc15.
Comment 1 Ashwith Rego 2012-05-19 23:30:09 EDT
Created attachment 585617 [details]
Log file generated by abrt
Comment 2 Ashwith Rego 2012-05-19 23:38:58 EDT
Sorry,I gave the wrong package in the bug report. It should be this:

alliance-5.0-32.20090901snap.fc15.x86_64
Comment 3 Fedora End Of Life 2013-01-16 07:36:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 07:56:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ashwith Rego 2013-02-26 14:02:02 EST
The issue occurs on Fedora 18 as well.
Comment 6 Fedora End Of Life 2013-12-21 10:02:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:45:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.